package hiro.yoshioka.util;

public enum StatusEnum {
	/** SUCCESS */
	SUCCESS("○"),
	/** FAILURE */
	FAILURE("\u2620"),
	/** ERROR */
	ERROR("×"),
	/** IGNORE */
	IGNORE("-"),
	/** NONE */
	NONE("");

	public static final StatusEnum[] MODES = new StatusEnum[] { SUCCESS,
			FAILURE, ERROR, IGNORE, NONE };

	private String text;

	private StatusEnum(String text) {
		this.text = text;
	}

	public String getText() {
		return text;
	}
}
